Subject: Re: [PATCH ver.2] gtp: fix use-after-free and null-ptr-deref in gtp_genl_dump_pdp()

From: Pablo Neira Ayuso <[email-masked]>
Date: Wed, 21 Feb 2024 12:03:07 +0100

On Wed, Feb 21, 2024 at 11:47:12AM +0100, Pablo Neira Ayuso wrote:
> On Tue, Feb 20, 2024 at 04:04:34PM -0800, Jakub Kicinski wrote:
> > On Thu, 15 Feb 2024 18:43:46 +0100 Pablo Neira Ayuso wrote:
> >
> > Pablo is anything expected to change from gtp patch itself?
> > Someone (DaveM?) marked this as Changes Requested but I don't see 
> > a clear ask, other that to follow up with patches to other families.
> 
> Thanks for your follow up.
> 
> It would be good if this patch gets a Fixes: tag. I'd suggest:
> 
> Fixes: 459aa660eb1d ("gtp: add initial driver for datapath of GPRS Tunneling Protocol (GTP-U)")
> 
> Meanwhile a v3 is sent, I am going to test it so I can provide a
> Testbed-by: tag for you.

Oh. My bad.

Patch is perfectly fine, it contains the Tested-by: tag already.

Please, apply.

Thanks.